@import "~vuetify/src/styles/styles.sass";

body {
  margin: 0 !important;
}

.v-main {
  margin: 0 !important;
  padding-top: 40px !important;
  padding-left: 0 !important;
  padding-right: 0 !important;
}

.v-main__wrap .container {
  max-width: none;
}

.v-stepper__content {
  padding: 0 !important;
}



.v-card-group {
  .v-card:first-child {
    border-bottom-left-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
  }

  .v-card:not(:first-child):not(:last-child) {
    border-top: 1px solid rgba(0,0,0,.1) !important;
    border-radius: 0 !important;
  }

  .v-card:last-child {
    border-top: 1px solid rgba(0,0,0,.1) !important;
    border-top-left-radius: 0 !important;
    border-top-right-radius: 0 !important;
  }
}

.invalid-shadow {
  box-shadow: 0 3px 1px -1px rgba(255, 0, 0, 0.2), 0 2px 2px 0 rgba(255, 0, 0, 0.14), 0 1px 5px 0 rgba(255, 0, 0, 0.12) !important;
}

.cursor-pointer {
  cursor: pointer;
}

.default-max-width {
  max-width: 250px;
}

.v-btn {
  box-shadow: none !important;
}

.v-data-table__empty-wrapper {
  background: #ffc107 !important;
}

@media screen and (min-width: 900px) {
  .listMode {
    .v-text-field .v-label {
      transform: translateX(-235px) translateY(-2px) !important;
    }
    .v-input {
      margin-left: 235px;
    }
    .v-input--checkbox .v-label {
      transform: translateX(-235px) translateY(-2px) !important;
      position: absolute !important;
      left: 0 !important;
    }
    .v-input__prepend-outer
    + .v-input__control
    > .v-input__slot
    > .v-text-field__slot
    > .v-label {
      transform: translateX(-268px) translateY(-2px) !important;
    }
    .formula-text-field
    > .v-input
    > .v-input__control
    > .v-input__slot
    > .v-text-field__slot
    > .v-label {
      transform: translateX(-70px) translateY(-2px) !important;
    }
    .formula-text-field
    > .v-input {
      margin-left: 70px !important;
    }
  }
}

.toasted {
  font-family: $body-font-family;

  .action {
    color: white !important;
  }

  &.warning {
    color: rgba(0, 0, 0, 0.87) !important;
    background-color: var(--v-warning-base) !important;

    .action {
      color: rgba(0, 0, 0, 0.87) !important;
    }
  }
}
